#
# spec file for package geary
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           geary
Version:        0.11.1
Release:        8.2
Summary:        A lightweight email reader for the GNOME desktop
License:        LGPL-2.0+
Group:          Productivity/Networking/Email/Clients
Url:            http://yorba.org/geary
Source:         http://download.gnome.org/sources/geary/0.11/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  xml2po
BuildRequires:  pkgconfig(gcr-3) >= 3.10.1
BuildRequires:  pkgconfig(gee-0.8) >= 0.8.5
BuildRequires:  pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gmime-2.6) >= 2.6.0
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:  pkgconfig(libcanberra) >= 0.28
BuildRequires:  pkgconfig(libnotify) >= 0.7.5
BuildRequires:  pkgconfig(libsecret-1) >= 0.11
BuildRequires:  pkgconfig(sqlite3) >= 3.7.4
BuildRequires:  pkgconfig(unique-3.0) >= 3.0.0
BuildRequires:  pkgconfig(vapigen) >= 0.22.1
BuildRequires:  pkgconfig(webkitgtk-3.0) >= 1.8.0
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Geary is a new email reader for GNOME designed to let you read your email quickly and effortlessly.

Its interface is based on conversations, so you can easily read an entire discussion without having
to click from message to message.

%lang_package
%prep
%setup -q

%build
%cmake -DVALA_EXECUTABLE:FILEPATH=%{_bindir}/valac%{?vala_version_suffix} \
       -DVAPIGEN:FILEPATH=%{_bindir}/vapigen%{?vala_version_suffix} \
       -DGSETTINGS_COMPILE=OFF \
       -DGSETTINGS_COMPILE_IN_PLACE=OFF \
       -DICON_UPDATE=OFF \
       -DDESKTOP_UPDATE=OFF
make %{?_smp_mflags}

%install
%cmake_install
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc README COPYING NEWS THANKS AUTHORS
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help
%dir %{_datadir}/gnome/help/%{name}
%doc %{_datadir}/gnome/help/%{name}/C/
%{_bindir}/%{name}
%{_bindir}/geary-attach
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/geary.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/geary-autostart.desktop
%dir %{_datadir}/contractor/
%{_datadir}/contractor/geary-attach.contract
%{_datadir}/icons/hicolor/
%{_datadir}/glib-2.0/schemas/org.yorba.geary.gschema.xml

%files lang -f %{name}.lang

%changelog
* Mon Jun 27 2016 zaitor@opensuse.org
- Update to version 0.11.1 (boo#991116):
  + Fix frequent crashes on 32-bit/i686 OS installations
    (bgo#758621).
  + Fix error connecting to certain Outlook.com accounts
    (bgo#766552).
  + Find special folders with lower case names (bgo#748183).
  + Find Exchange Sent and Deleted special folders (bgo#748183).
  + Don't create Archive folders for GMail accounts (bgo#767259).
  + Use HTTPS for accessing Gravatar.com (bgo#766595).
  + Fix text not show when only plain text and image parts
    (bgo#767438).
  + Fix crash when is:foo is not translated (bgo#766837).
  + Make English versions of search ops always work (bgo#766837).
  + Allow to:me and from:me to be translated separately
    (bgo#767291).
  + Fix date typo in NEWS.
  + Updated translations.
* Sun May 15 2016 zaitor@opensuse.org
- Update to version 0.11.0:
  + Add archive special folder support (bgo#713986).
  + Add is:read, is:unread: is:starred search operators
    (bgo#726661).
  + Fix using more than search operator - to:, from:, etc
    (bgo#749938).
  + Work around crashes caused by WebKitGTK+ 2.4.10 (bgo#764152,
    bgo#763933).
  + Fix a crash when searching (bgo#765515).
  + Fix images not being displayed in some HTML messages
    (bgo#764919).
  + Fix empty main window when opened from notification
    (bgo#763961).
  + Fix UI freezing when network connections are lost (bgo#757088).
  + Work better with Cyrus & other servers when network unreliable
    (bgo#757166).
  + Enable use of custom FTS3 tokeniser in SQLite 3.12 and later
    (bgo#763203).
  + Fix inconsistent Composer 'Detach' button placement
    (bgo#757110).
  + Documentation improvements (bgo#764848, bgo#749925).
  + Update deb module dependencies (bgo#749931, bgo#748464).
  + Updated translations.
* Tue Mar 31 2015 zaitor@opensuse.org
- Update to version 0.10.0:
  + Undo Archive/Trash/Move of email (bgo#721828).
  + New split headerbar layout with UI, composer improvements
    (bgo#743960).
  + Preference to switch between 2-column and 3-column layout
  + (bgo#714793).
  + Support multiple ("alternate") email addresses per account
    (bgo#714922).
  + New shortcut keys to navigate next/previous conversation
    (bgo#714434).
  + Fix displaying inline images referenced by Content-ID
    (bgo#743676).
  + Numerous bug fixes, optimizations, improvements.
  + Updated translations.
* Tue Feb  3 2015 dimstar@opensuse.org
- Update to version 0.9.1:
  + Support HTML signatures (bgo#738895).
  + Quote from multiple selections in reply (bgo#738188).
  + Restore reply/reply all/forward state of edited drafts
    (bgo#743067).
  + Quoted message portion may be easily removed in composer
    (bgo#741609).
  + True delete now supported in Gmail (bgo#721790).
  + Improved searching for terms w/ punctuation (bgo#714863).
  + Better management of draft messages to avoid orphans.
  + Empty Trash, Empty Spam (bgo#714809, bgo#725260).
  + Better conversation construction (bgo#714563).
  + Improved IMAP connection reestablishment and retrying of remote
    operations.
  + Various bug fixes, optimizations, improvements.
  + Updated translations.
- Drop geary-Off-by-one-heap-buffer-overflow.patch: fixed upstream.
* Wed Jan 28 2015 dimstar@opensuse.org
- Update to version 0.9.0:
  + Improved full-text search experience (bgo#720361).
  + Periodic database & attachments garbage collection
    (bgo#714134).
  + Remove minimum width for sidebar/folder list (bgo#713882).
  + Use GtkHeaderBar for dialogs (bog#741240).
  + Can now specify Reply-To when composing (bgo#714588).
  + Fix signed int32 UID/UIDVALIDITY bug (bgo#737642).
  + Composer shortcuts now listed in online help (bgo#741573).
  + Updated translations.
* Fri Jan  2 2015 zaitor@opensuse.org
- Add geary-Off-by-one-heap-buffer-overflow.patch: Heap access
  violation in random_string(). Needed to allocate space for
  terminating NUL (bgo#741842).
* Sat Dec 20 2014 zaitor@opensuse.org
- Update to version 0.8.3:
  + Prevent race condition causing Geary window not to open
    (bgo#737811).
  + Compile with Vala 0.28 (bgo#741077).
  + Updated SSLv3 POODLE fallback (bgo#741132).
  + Fixed connection state handler to return to IDLE.
  + Removed unnecessary assertion causing crashes for intl users
    (bgo#739316).
  + Updated translations.
* Fri Nov 14 2014 zaitor@opensuse.org
- Update to version 0.8.2:
  + "View Source" creates temp files only readable by user
    (bgo#724436).
  + elementary Contractor support (bgo#734717).
  + Prevent displaying blank window when Geary first starts
    (bgo#720360, bgo#737811).
  + Disable SSLv3 (POODLE attack) (bgo#739019).
  + Fix IMAP problems when running under Turkish locale
    (bgo#714892).
  + Don't crash when closing composer (bgo#739141).
  + Updated translations.
* Tue Oct  7 2014 badshah400@gmail.com
- Update to version 0.8.1:
  + Display properly-scaled icons under GTK+ 3.14.
  + Don't show composer close/detach buttons twice with GTK+ 3.14.
  + Fix code analysis errors reported by newest Vala.
  + gcr-3 minimum version requirement not specified.
  + Properly install French online help.
  + Czech online help added.
  + Updated translations.
- Drop patch geary-fix-toolbar-icons.patch: fixed upstream.
* Sat Sep 27 2014 zaitor@opensuse.org
- Add geary-fix-toolbar-icons.patch: Fix oversized icons in toolbar
  (bgo#732065).
* Fri Sep 19 2014 zaitor@opensuse.org
- Update to version 0.8.0:
  + Enforce CSS scope style rules when viewing emails.
  + Bug fixes.
  + Updated translations.
* Tue Sep  9 2014 zaitor@opensuse.org
- Update to version 0.7.2:
  + Warn user of TLS certificate issues when connecting
    (bgo#713247).
  + Better scrolling system for inline composer.
  + Improved database performance and reduced lags.
  + IMAP stack fix (old IDLEs causing command completion).
  + Compile with Vala 0.25 and better.
  + Updated translations.
- Add pkgconfig(gcr-3) BuildRequires: New dependency.
* Tue Sep  9 2014 dimstar@opensuse.org
- Update to version 0.7.1:
  + Show attachments lacking a Content-Disposition.
  + Prevent Inbox from being cleared at startup (Dovecot, Zimbra,
    more).
  + Major memory leak (due to GMime bindings) fixes.
  + Improved IMAP disconnect/reconnect logic.
  + Autocomplete properly quotes RFC822 strings.
  + Stabilize search results to prevent lost or dropped results.
  + Inline composer polish.
  + Updated translations.
* Tue Sep  9 2014 dimstar@opensuse.org
- Update to version 0.7.0:
  + Major overhaul of email composer, now inline in main window and
    redesigned.
  + Composer will automatically add signature to emails.
  + Saving drafts to server can be disabled.
  + Improved main window interface, now using GtkHeaderBar.
  + Database speed optimizations to reduce lags and improve read
    times.
  + Improved connection retry.
  + Various bug fixes.
  + Updated translations.
* Sun Sep  7 2014 zaitor@opensuse.org
- Update to version 0.6.3:
  + Warn user of TLS certificate issues when connecting
    (bgo#713247).
  + Fix wrong timestamp in composed email Date: header
    (bgo#714376).
  + Compile with Vala 0.25 and better.
- Add pkgconfig(gcr-3) BuildRequires: New dependency.
* Wed Aug 20 2014 zaitor@opensuse.org
- Update to version 0.6.2:
  + Patch major memory leak due to GMime bindings.
  + Prevent Vala 0.26 compiler error.
  + Stabilize search sorting to prevent dropped search results.
  + Prevent Inbox from being cleared on startup w/ Dovecot, Zimbra,
    and more.
- Stop exporting CFLAGS="%%{optflags} -w" to configure.
- Switch to cmake and cmake_install macro, as this builds cleanly
  without any needs for workarounds.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 0.6.1:
  + Copy and move message bug fixes (esp. to prevent lost emails).
  + Prevent STARTTLS BAD_IDENTITY when connecting to server.
  + Prevent failure when deleting Outbox message.
  + Don't save draft messages on server when UIDPLUS not available.
  + Correct severe database command error (statement too long).
  + Fix bug when launching Geary with file URIs for attachments.
  + Prevent the IMAP account synchronizer from deadlocking.
  + Fix server compatibility issues (mail.ru, netcourrier.com).
  + Updated translations.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 0.6.0:
  + Cleaned up star/unstar and mark as read/unread functionality.
  + Added localized help docs to installed files.
  + Many bugfixes.
- Add xml2po BuildRequires: new dependency.
* Tue Mar  4 2014 zaitor@opensuse.org
- Update to version 0.5.3:
  + Better styling of collapsed quotes.
  + "Use IMAP credentials" option in account creation dialog.
  + Fixed support for GMail drafts.
  + Fixed background synchronizer.
  + Fixed some unread count issues.
  + Fixed some IMAP issues.
  + Fixed theming issues.
  + Other miscellaneous bugfixes.
* Sat Feb 15 2014 zaitor@opensuse.org
- Update to version 0.5.2:
  + Improved recognition of special folders for "Other" accounts.
  + Prompt before permanently deleting messages.
  + Allow searching for "from:me" and the like.
  + Conversation viewer quoted text improvements.
  + UI and icon improvements.
  + Miscellaneous bugfixes.
* Fri Jan 31 2014 dimstar@opensuse.org
- Update to version 0.5.1:
  + Ability to save sent mail.
  + Basic search operators.
  + Separate trash, archive, and delete operations.
  + Improved special folder handling for "Other" accounts.
  + Fixed some IMAP issues.
  + Speed improvements & miscellaneous bugfixes.
- Drop geary-compile-with-WebKitGTK-2.3.x.patch and
  geary-vala-workaround.patch: fixed upstream.
* Sun Dec 22 2013 zaitor@opensuse.org
- Add geary-compile-with-WebKitGTK-2.3.x.patch, compile with
  WebKitGTK 2.3.x. This also introduces compiling WebKit-3.0.gir to
  a VAPI and using that during compilation (bgo#720315).
* Sun Dec 15 2013 zaitor@opensuse.org
- Update to version 0.5.0:
  + Port to GtkApplication.
  + Use app menu instead of gear button menu, where available.
  + Miscellaneous bugfixes.
* Fri Dec 13 2013 dimstar@opensuse.org
- Update to version 0.4.3:
  + Fix "squished" conversation list when used with certain themes.
  + Compile-time support for WebKitGTK 2.0.
- Add geary-vala-workaround.patch: Work around vala issues which
  causes invalid int to pointer and pointer to int conversions.
- Export CFLAGS="%%{optflags} -w" in order to work around
  bgo#682526.
* Sat Nov 30 2013 dimstar@opensuse.org
- Update to version 0.4.2:
  + Compile with Vala 0.22.1.
- Changes from version 0.4.1:
  + Compile-time support for WebKitGTK 2.2.
  + Fixes IMAP STARTTLS failure to connect bug.
  + Works around LIST bug in IceWarp IMAP servers (crasher).
  + Solves crash when IMAP connect fails due to timeout.
  + CamelCased MIME types now handled properly (prevents blank
    emails).
  + Adds missing RTL icons.
  + Updated translations.
- Changes from version 0.4.0:
  + Per-account full text search.
  + Automatic save to draft.
  + Refreshed user interface.
  + Per-folder unread email count.
  + Experimental support for Outlook.com.
  + Enhanced "show external images" preference.
  + Find bar for locating text within a conversation (Ctrl+F).
  + Improved handling of attachments.
  + Malicious link checker.
  + Passwords stored with libsecret instead of GNOME Keyring.
  + Hundreds of bugs fixed and small improvements.
- Drop geary-webkitgtk-2.1.patch: fixed upstream.
- Remove sed hack that removed fatal-warnings from CMakeLists.txt:
  fixed upstream.
- Replace pkgconfig(gnome-keyring-1) BuildRequires with
  pkgconfig(libsecret-1): ported to libsecret.
- Replace pkgconfig(gee-1.0) BuildRequires to pkgconfig(gee-0.8):
  ported to libgee 0.8 (which is newer than libgee-1.0).
* Sun Aug 25 2013 zaitor@opensuse.org
- Add a recommends on the lang package.
* Sun Aug 25 2013 dimstar@opensuse.org
- Add geary-webkitgtk-2.1.patch: Fix build with webkitgtk 2.1.
  Patch inspired / based on Fedora's one.
- Use sed to remove fatal-warnings from CMakeLists.txt: due to
  GtkStock being deprecated, we currenly accept the warnings.
* Wed Jun 26 2013 zaitor@opensuse.org
- Update to version 0.3.1:
  + Reduced CPU and memory footprint.
  + Account dialog bugs fixed.
  + Stability improvements.
- Drop geary-0.3-desktop.patch; fixed upstream.
* Thu Mar 21 2013 zaitor@opensuse.org
- Update to version 0.3.0:
  + Support for multiple accounts.
  + Account editor.
  + Basic full conversations.
  + Some light background downloading of messages.
  + Mark as spam/not spam.
  + "Important" folder support.
  + Multiple compressed messages are collapsed in conversation
    viewer.
  + Mark as read as you scroll in conversation viewer.
  + Highlight unread messages in conversation viewer.
  + New keyboard shortcuts.
  + Allow auth-less SMTP.
  + Conversation viewer WebKit inspector.
  + Many bugfixes.
- Add pkgconfig(gobject-introspection-1.0) BuildRequires following
  upstream changes.
- Add geary-0.3-desktop.patch, fixes a broken .desktop file. Patch
  taken from upstream bug where its pending review.
* Sat Feb 16 2013 zaitor@opensuse.org
- Exchange vala BuildRequires for pkgconfig(vapigen) BuildRequires,
  and version it.
* Sat Oct 20 2012 douglarek@outlook.com
- Initial package, version 0.2.2.
